# Class: YARD::Templates::Helpers::Markup::RDocMarkup

Inherits:
  Object
  - Object
  - YARD::Templates::Helpers::Markup::RDocMarkup
  show all

Defined in:
  lib/yard/templates/helpers/markup/rdoc_markup.rb

## Direct Known Subclasses

RDocMarkdown

## Constant Summary collapse

@@mutex =

      Mutex.new

@@formatter =

      nil

@@markup =

      nil

## Instance Attribute Summary collapse

- #from_path ⇒ Object

  Returns the value of attribute from_path.

## Instance Method Summary collapse

- #initialize(text) ⇒ RDocMarkup constructor

  A new instance of RDocMarkup.

- #to_html ⇒ String

## Constructor Details

### #initialize(text) ⇒ `RDocMarkup`

Returns a new instance of RDocMarkup.

Parameters:

- text (`String`)

    42
    43
    44
    45
    46
    47
    48
    49

    # File 'lib/yard/templates/helpers/markup/rdoc_markup.rb', line 42

    def initialize(text)
      @text = text

      @@mutex.synchronize do
        @@formatter ||= RDocMarkupToHtml.new
        @@markup ||= MARKUP.new
      end
    end

## Instance Attribute Details

### #from_path ⇒ `Object`

Returns the value of attribute from_path.

    35
    36
    37

    # File 'lib/yard/templates/helpers/markup/rdoc_markup.rb', line 35

    def from_path
      @from_path
    end

## Instance Method Details

### #to_html ⇒ `String`

Returns:

- (`String`)

    52
    53
    54
    55
    56
    57
    58
    59
    60
    61

    # File 'lib/yard/templates/helpers/markup/rdoc_markup.rb', line 52

    def to_html
      html = nil
      @@mutex.synchronize do
        @@formatter.from_path = from_path
        html = @@markup.convert(@text, @@formatter)
      end
      html = fix_dash_dash(html)
      html = fix_typewriter(html)
      html
    end